# Uses of Class
it.tdlight.jni.TdApi.InputCredentials

## Uses of TdApi.InputCredentials in it.tdlight.jni

Subclasses of TdApi.InputCredentials in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.InputCredentialsApplePay`
Applies if a user enters new credentials using Apple Pay.
`static final class`
`TdApi.InputCredentialsGooglePay`
Applies if a user enters new credentials using Google Pay.
`static final class`
`TdApi.InputCredentialsNew`
Applies if a user enters new credentials on a payment provider website.
`static final class`
`TdApi.InputCredentialsSaved`
Applies if a user chooses some previously saved payment credentials.
Fields in it.tdlight.jni declared as TdApi.InputCredentials
Modifier and Type
Field
Description
`TdApi.InputCredentials`
TdApi.SendPaymentForm.`credentials`
The credentials chosen by user for payment.
Constructors in it.tdlight.jni with parameters of type TdApi.InputCredentials
Modifier
Constructor
Description
``
`SendPaymentForm(TdApi.InputInvoice inputInvoice, long paymentFormId, String orderInfoId, String shippingOptionId, TdApi.InputCredentials credentials, long tipAmount)`
Sends a filled-out payment form to the bot for final verification.